[FIX] script: add missing check variable

This commit is contained in:
Mathieu Benoit 2023-01-07 00:30:46 -05:00
parent 14f8156045
commit 7ca08b52eb
5 changed files with 8 additions and 1 deletions

View file

@ -1,12 +1,14 @@
#!/usr/bin/env bash
# "$1" code_generator_name
./script/database/db_restore.py --database "$1"
retVal=$?
if [[ $retVal -ne 0 ]]; then
echo "Error ./script/database/db_restore.py into coverage_install_addons_restore_dev.sh"
exit 1
fi
./script/addons/coverage_install_addons_dev.sh "$1" "$1"
retVal=$?
if [[ $retVal -ne 0 ]]; then
echo "Error ./script/addons/coverage_install_addons_dev.sh into coverage_install_addons_restore_dev.sh"
exit 1

View file

@ -2,6 +2,7 @@
# $1 BD NAME
# $2 file_path
./script/addons/install_addons.sh "$1" "$(<$2)"
retVal=$?
if [[ $retVal -ne 0 ]]; then
echo "Error ./script/addons/install_addons.sh into install_addons_from_file.sh"
exit 1

View file

@ -1,12 +1,14 @@
#!/usr/bin/env bash
# "$1" code_generator_name
./script/database/db_restore.py --database "$1"
retVal=$?
if [[ $retVal -ne 0 ]]; then
echo "Error ./script/database/db_restore.py into install_addons_restore_dev.sh"
exit 1
fi
./script/addons/install_addons_dev.sh "$1" "$1"
retVal=$?
if [[ $retVal -ne 0 ]]; then
echo "Error ./script/addons/install_addons_dev.sh into install_addons_restore_dev.sh"
exit 1

View file

@ -11,13 +11,14 @@ fi
# Update git-repo
./script/manifest/update_manifest_local_dev.sh
retVal=$?
if [[ $retVal -ne 0 ]]; then
echo "Error manifest update, check git-repo."
exit 1
fi
# Install maintainer-tools
cd script/OCA_maintainer-tools
cd script/OCA_maintainer-tools || exit
# virtualenv is not installed by default
#virtualenv env
../../.venv/bin/python -m venv env

View file

@ -11,6 +11,7 @@ fi
# Update git-repo
./script/manifest/update_manifest_prod.sh
retVal=$?
if [[ $retVal -ne 0 ]]; then
echo "Error manifest update, check git-repo."
exit 1